igeo.io

## Class IRhino3dm.PolyCurve

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Curve
      - - igeo.io.IRhino3dm.PolyCurve

- Direct Known Subclasses:
    IRhino3dm.PolyEdgeCurve
  Enclosing class:
    IRhino3dm

      public static class IRhino3dm.PolyCurve
      extends IRhino3dm.Curve

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IRhino3dm.CurveArray` | `segment`
    `static double` | `sqrtEpsilon`
    `java.util.ArrayList<java.lang.Double>` | `t`
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.Curve

      `icurve`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolyCurve()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `count()`
    `ICurveGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IObject` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `ITrimCurve` | `createTrimCurve(IRhino3dm.Rhino3dmFile context, IServerI s, ISurfaceI srf)`
    `IRhino3dm.Interval` | `domain()`
    `void` | `flatten(IRhino3dm.PolyCurve poly, IRhino3dm.Interval pdom, java.util.ArrayList<java.lang.Double> newT, IRhino3dm.CurveArray newSeg)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `IRhino3dm.Curve` | `harvestSegment(int i)`
    `boolean` | `isValid()`
    `boolean` | `isValid(boolean allowGap)`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `removeNesting()`
    `IRhino3dm.Curve` | `segmentCurve(int i)`
    `IRhino3dm.Interval` | `segmentDomain(int i)`

    - ### Methods inherited from class igeo.io.IRhino3dm.Curve

      `getType`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### sqrtEpsilon

          public static final double sqrtEpsilon

      See Also:
        Constant Field Values

    - #### segment

          public IRhino3dm.CurveArray segment

    - #### t

          public java.util.ArrayList<java.lang.Double> t

  - ### Constructor Detail

    - #### PolyCurve

          public PolyCurve()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.Curve`

    - #### domain

          public IRhino3dm.Interval domain()

      Specified by:
        `domain` in class `IRhino3dm.Curve`

    - #### segmentDomain

          public IRhino3dm.Interval segmentDomain(int i)

    - #### isValid

          public boolean isValid()

      Specified by:
        `isValid` in class `IRhino3dm.Curve`

    - #### isValid

          public boolean isValid(boolean allowGap)

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### count

          public int count()

    - #### segmentCurve

          public IRhino3dm.Curve segmentCurve(int i)

    - #### removeNesting

          public void removeNesting()

    - #### flatten

          public void flatten(IRhino3dm.PolyCurve poly,
                              IRhino3dm.Interval pdom,
                              java.util.ArrayList<java.lang.Double> newT,
                              IRhino3dm.CurveArray newSeg)

    - #### harvestSegment

          public IRhino3dm.Curve harvestSegment(int i)

    - #### createIObject

          public IObject createIObject(IRhino3dm.Rhino3dmFile context,
                                       IServerI s)

      Overrides:
        `createIObject` in class `IRhino3dm.Curve`

    - #### createIGeometry

          public ICurveGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                           IServerI s)

      Overrides:
        `createIGeometry` in class `IRhino3dm.Curve`

    - #### createTrimCurve

          public ITrimCurve createTrimCurve(IRhino3dm.Rhino3dmFile context,
                                            IServerI s,
                                            ISurfaceI srf)

      Overrides:
        `createTrimCurve` in class `IRhino3dm.Curve`